DaoUpdater (training-module-library 1.0.0-4.12.0-163223 API)
Date: 2018-07-19

org.gcube.portal.trainingmodule.database

## Interface DaoUpdater<T>

- Type Parameters:
    `T` - the generic type
  All Known Implementing Classes:
    AbstractPersistence, TrainingProgressUnitPersistence, TrainingProjectPersistence, TrainingUnitPersistence

      public interface DaoUpdater<T>

  The Interface DaoUpdater.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 10, 2018

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `create(T item)` Creates the.
    `int` | `deleteItemByInternalId(long internalId)` Delete item by internal id.
    `boolean` | `insert(T item)` Insert.
    `boolean` | `remove(T item, boolean transaction)` Removes the.
    `int` | `removeAll()` Removes the all.
    `T` | `update(T item)` Update.

- - ### Method Detail

    - #### create

          boolean create(T item)
                  throws DatabaseServiceException

      Creates the.
      Parameters:
        `item` - the item
      Returns:
        true, if successful
      Throws:
        `DatabaseServiceException` - the database service exception

    - #### insert

          boolean insert(T item)
                  throws DatabaseServiceException

      Insert.
      Parameters:
        `item` - the item
      Returns:
        true, if successful
      Throws:
        `DatabaseServiceException` - the database service exception

    - #### update

          T update(T item)
            throws DatabaseServiceException

      Update.
      Parameters:
        `item` - the item
      Returns:
        the t
      Throws:
        `DatabaseServiceException` - the database service exception

    - #### remove

          boolean remove(T item,
                         boolean transaction)
                  throws DatabaseServiceException

      Removes the.
      Parameters:
        `item` - the item
        `transaction` - the transaction
      Returns:
        true, if successful
      Throws:
        `DatabaseServiceException` - the database service exception

    - #### removeAll

          int removeAll()
                 throws DatabaseServiceException

      Removes the all.
      Returns:
        the int
      Throws:
        `DatabaseServiceException` - the database service exception

    - #### deleteItemByInternalId

          int deleteItemByInternalId(long internalId)
                              throws DatabaseServiceException

      Delete item by internal id.
      Parameters:
        `internalId` - the internal id
      Returns:
        the int
      Throws:
        `DatabaseServiceException` - the database service exception

Copyright © 2018. All Rights Reserved.